libmwaw::PrinterInfo Struct Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
libmwaw::PrinterInfo Struct Reference

the AppleŠ printer information : TPrint More...

`#include <MWAWPrinter.hxx>`

## Public Member Functions
| PrinterInfo ()
| constructor More...
| ~PrinterInfo ()
| destructor More...
PrinterRect | page () const
| returns the page rectangle More...
PrinterRect | paper () const
| returns the paper rectangle More...
bool | read (MWAWInputStreamPtr input)
| reads the struture in a file More...

## Protected Attributes
std::shared_ptr< PrinterInfoData > | m_data
| internal data More...

## Private Member Functions
| PrinterInfo (PrinterInfo const &orig)=delete
PrinterInfo & | operator= (PrinterInfo const &orig)=delete

## Friends
std::ostream & | operator<< (std::ostream &o, PrinterInfo const &r)
| operator<< for a PrinterInfo More...

## Detailed Description

the AppleŠ printer information : TPrint

## Constructor & Destructor Documentation

## ◆ PrinterInfo() [1/2]

libmwaw::PrinterInfo::PrinterInfo | ( |  | ) |

constructor

## ◆ ~PrinterInfo()

libmwaw::PrinterInfo::~PrinterInfo | ( |  | ) |

destructor

## ◆ PrinterInfo() [2/2]

libmwaw::PrinterInfo::PrinterInfo | ( | PrinterInfo const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

PrinterInfo& libmwaw::PrinterInfo::operator= | ( | PrinterInfo const & | orig | ) |
| privatedelete

## ◆ page()

PrinterRect libmwaw::PrinterInfo::page | ( |  | ) | const

returns the page rectangle

Referenced by PowerPoint1Parser::readPrintInfo(), PowerPoint3Parser::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), and MsWks4Zone::readPRNT().

## ◆ paper()

PrinterRect libmwaw::PrinterInfo::paper | ( |  | ) | const

returns the paper rectangle

Referenced by PowerPoint1Parser::readPrintInfo(), PowerPoint3Parser::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), and MsWks4Zone::readPRNT().

## ◆ read()

bool libmwaw::PrinterInfo::read | ( | MWAWInputStreamPtr | input | ) |

reads the struture in a file

Referenced by FreeHandParser::checkHeader(), FreeHandParser::createZones(), RagTime5StructManager::readField(), MouseWrtParser::readPrintInfo(), MacDrawParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), MacWrtParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), CricketDrawParser::readPrintInfo(), StyleParser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), ActaParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), MindWrtParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), PowerPoint1Parser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), MoreParser::readPrintInfo(), PowerPoint3Parser::readPrintInfo(), FullWrtParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), MsWrdParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), WriteNowParser::readPrintInfo(), MsWksDocument::readPrintInfo(), MacWrtProParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), and MsWks4Zone::readPRNT().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | PrinterInfo const & | r
| ) |  |
| friend

operator<< for a PrinterInfo

## Member Data Documentation

## ◆ m_data

std::shared_ptr<PrinterInfoData> libmwaw::PrinterInfo::m_data
| protected

internal data

Referenced by libmwaw::operator<<(), page(), paper(), and read().

The documentation for this struct was generated from the following files:

- MWAWPrinter.hxx
- MWAWPrinter.cxx